Package in.cdac.medinfo.csnotk.csnolib.icdmap

## Class MapAdvice

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.icdmap.MapAdvice

-     public class MapAdvice
      extends java.lang.Object

  Provides advice for a SNOMED CT to ICD-10 map. It provides mapping advice with corresponding ICD-10 code and ICD-10 term

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapAdvice()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAdvice()` | Returns the mapping advice.
    `java.lang.String` | `getTarget()` | Returns the mapping ICD-10 code.
    `java.lang.String` | `getTerm()` | Returns the mapping ICD-10 term.
    `void` | `setAdvice​(java.lang.String advice)` | Sets the mapping advice.
    `void` | `setTarget​(java.lang.String target)` | Sets the mapping ICD-10 code.
    `void` | `setTerm​(java.lang.String term)` | Sets the mapping ICD-10 term.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapAdvice

          public MapAdvice()

  - ### Method Detail

    - #### getAdvice

          public java.lang.String getAdvice()

      Returns the mapping advice.
      Returns:
        map advice

    - #### setAdvice

          public void setAdvice​(java.lang.String advice)

      Sets the mapping advice.
      Parameters:
        `advice` - map advice

    - #### getTarget

          public java.lang.String getTarget()

      Returns the mapping ICD-10 code.
      Returns:
        ICD-10 code

    - #### setTarget

          public void setTarget​(java.lang.String target)

      Sets the mapping ICD-10 code.
      Parameters:
        `target` - ICD-10 code

    - #### getTerm

          public java.lang.String getTerm()

      Returns the mapping ICD-10 term.
      Returns:
        ICD-10 term

    - #### setTerm

          public void setTerm​(java.lang.String term)

      Sets the mapping ICD-10 term.
      Parameters:
        `term` - ICD-10 term